qtquickcontrols2-opensource-src (5.15.18+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:52:34 +0300

qtquickcontrols2-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:02:54 +0300

qtquickcontrols2-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 11:45:11 +0300

qtquickcontrols2-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:43:44 +0300

qtquickcontrols2-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Sep 2024 21:55:57 +0300

qtquickcontrols2-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:49:17 +0300

qtquickcontrols2-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2024 23:57:17 +0300

qtquickcontrols2-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Drop 0006-Fix-scroll-bars-not-showing-up-when-binding-to-stand.patch,
    included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 20:49:12 +0300

qtquickcontrols2-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 11:03:59 +0300

qtquickcontrols2-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.
  * Refresh 0006-Fix-scroll-bars-not-showing-up-when-binding-to-stand.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Jun 2023 14:27:57 +0300

qtquickcontrols2-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.
  * Drop patches that are included in the new release:
    - 0003-QQuickAction-don-t-grab-the-same-shortcut-multiple-t.patch
    - 0004-QQuickAbstractButton-fix-crash-on-destruction.patch
  * Refresh 0007-implement-a11y-pressing-of-qquickabstractbutton.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 20:58:53 +0300

qtquickcontrols2-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:58 +0400

qtquickcontrols2-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Refresh 0001-Unset-mouseGrabberPopup-if-it-s-removed-from-childre.patch.
  * Add one more patch from KDE’s collection: fix the popup position of a Menu.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 21:01:45 +0400

qtquickcontrols2-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:23 +0300

qtquickcontrols2-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and pkg-kde-tools.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.
  * Add one more patch from KDE’s collection: implement a11y pressing of
    qquickabstractbutton.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:22:59 +0300

qtquickcontrols2-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:48 +0300

qtquickcontrols2-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop 0005-Revert-Allow-creation-of-custom-QQuickPopupItem-deri.patch,
    included in the new release.
  * Add one more patch from KDE's collection: fix scroll bars not showing up
    when binding to standalone contentItem.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:35:46 +0300

qtquickcontrols2-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
  * Add patches from KDE's Qt 5 Patch Collection up to 2022-06-17.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 11:33:38 +0300

qtquickcontrols2-opensource-src (5.15.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:39 +0300

qtquickcontrols2-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:58:22 +0300

qtquickcontrols2-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Add one new symbol to debian/libqt5quicktemplates2-5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 08 Mar 2022 18:42:11 +0300

qtquickcontrols2-opensource-src (5.15.2+dfsg-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Aug 2021 22:23:13 +0300

qtquickcontrols2-opensource-src (5.15.2+dfsg-3) experimental; urgency=medium

  * Add qtquickcontrols2-5-private-dev package (closes: #958521).
  * Update debian/watch: use version=4, and track only 5.15.x releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Aug 2021 14:14:11 +0300

qtquickcontrols2-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:06 +0300

qtquickcontrols2-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qtquickcontrols2-5-doc, qtquickcontrols2-5-doc-html: Add Multi-Arch:
      foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Update debian/libqt5quicktemplates2-5.symbols from the current logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Nov 2020 20:45:29 +0300

qtquickcontrols2-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5quicktemplates2-5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:41 +0300

qtquickcontrols2-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update debian/libqt5quicktemplates2-5.symbols from buildds’ logs.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution in install files.
  * Update debian/copyright.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 14 Sep 2020 19:01:35 +0300

qtquickcontrols2-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:32:53 +0300

qtquickcontrols2-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Remove build paths from .prl files for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 May 2020 17:43:32 +0300

qtquickcontrols2-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Update symbols files from the current build log.
  * Update to debhelper compat level 12.
    - Switch to using debhelper-compat as a build dependency.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Mar 2020 16:48:29 +0300

qtquickcontrols2-opensource-src (5.12.5+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5quicktemplates2-5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:49:39 +0300

qtquickcontrols2-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Update Homepage URL.
  * Update debian/libqt5quicktemplates2-5.symbols from the current build log.
  * Add Build-Depends-Package field to the symbols files.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Build-depend on qtgraphicaleffects5-doc-html for linking docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Sep 2019 13:41:16 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libqt5quicktemplates2-5`.
